import { defineStore } from 'pinia';
import { ref } from 'vue';

export const useAlarmStore = defineStore('alarm', () => {
    const alarmCount = ref(0);

    const setAlarmCount = (count) => {
        alarmCount.value = count;
    };

    return {
        alarmCount,
        setAlarmCount
    };
});
