import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

export default defineConfig({
  plugins: [vue()],
  css: {
    preprocessorOptions: {
      scss: {
        // 保留 SCSS 配置（如果使用了自定义主题）
        additionalData: `@use "element-plus/theme-chalk/src/index.scss" as *;`
      }
    }
  }
})